> For the complete documentation index, see [llms.txt](https://docs.cloudtruth.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.cloudtruth.com/reference/knowledge-base/integrations/s3-region-selection.md).

# S3 Region Selection

## Buckets in us-east-1 must use a us-east-1 location selection

### Overview

CloudTruth allows you to setup your AWS integration with control over which region to interact with your services. CloudTruth defaults to enabling all US regions for location selection.

When an integration contains an S3 bucket created in AWS Region us-east-1 the CloudTruth explorer or External Parameter will spin if not accessed through a us-east-1 location.

![](https://2952342643-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MGjN2Xg1mE8iTvg49dw%2Fuploads%2Fgit-blob-3eb2b3008b0fe78e698af474ffcc805b2e88e5d0%2FPrtScr%20capture_2%20\(4\).jpg?alt=media)

### Resolution

When referencing data in S3 buckets located in us-east-1 you must select us-east-1 as your reference location region.

**External Parameters**

![](https://2952342643-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MGjN2Xg1mE8iTvg49dw%2Fuploads%2Fgit-blob-08276c0a29299adef763ce8799847315e8578b07%2FPrtScr%20capture_3%20\(4\).jpg?alt=media)

**Explorer**

![](https://2952342643-files.gitbook.io/~/files/v0/b/gitbook-x-prod.appspot.com/o/spaces%2F-MGjN2Xg1mE8iTvg49dw%2Fuploads%2Fgit-blob-c6e98d59d9cb73ce96ee109f6bfda1509de2210a%2FPrtScr%20capture_4%20\(3\).jpg?alt=media)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.cloudtruth.com/reference/knowledge-base/integrations/s3-region-selection.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
